function page_main() {
    if (document.getElementById('page_index') === null) {
        url = '/';

        $.ajax({
            url: url,
            type: 'post',
            dataType: 'json',
            data: { '_csrf': yii.getCsrfToken() },
            success: menu_success,
            error: menu_error
        });
    }

    return false;
}

function page_profile() {
    if (document.getElementById('page_profile') === null) {
        url = '/profile'

        $.ajax({
            url: url,
            type: 'post',
            dataType: 'json',
            data: { '_csrf': yii.getCsrfToken() },
            success: menu_success,
            error: menu_error
        });
    }

    return false;
}

function page_cart() {
    if (document.getElementById('page_cart') === null) {
        url = '/cart'

        $.ajax({
            url: url,
            type: 'post',
            dataType: 'json',
            data: { '_csrf': yii.getCsrfToken() },
            success: menu_success,
            error: menu_error
        });
    }

    return false;
};

function notifications() {

    return false;
}


function menu_success(data, status) {
    // Обработка ответов от удавшихся запросов

    // Основной блок
    if (data.main !== undefined) {
        // Инициализация
        main = document.getElementsByTagName('main')[0];

        // Обновление документа
        main.innerHTML = data.main;

        // Реинициализация
        reinitialization(main);
    }

    // Заголовок
    if (data.title !== undefined) {
        // Запись
        document.title = data.title;
    }

    // Перенаправление
    if (data.redirect !== undefined) {
        // Перенаправление
        history.pushState({}, document.title, data.redirect);
    }

    // CSRF-токен
    if (data._csrf !== undefined) {
        // Обновление документа
        $('meta[name=csrf-token]').prop("content", data._csrf);
    }
}

function menu_error(data, status) {
    // Обработка ответов от неудавшихся запросов

    // Инициализация
    data = data.responseJSON;

    // Основной блок
    if (data.main !== undefined) {
        // Инициализация
        main = document.getElementsByTagName('main')[0];

        // Обновление окна результатов поиска
        main.innerHTML = data.main;

        // Реинициализация
        reinitialization(main);
    }

    // Заголовок
    if (data.title !== undefined) {
        // Запись
        document.title = data.title;
    }

    // Перенаправление
    if (data.redirect !== undefined) {
        // Перенаправление
        history.pushState({}, document.title, data.redirect);
    }

    // CSRF-токен
    if (data._csrf !== undefined) {
        // Обновление документа
        $('meta[name=csrf-token]').prop("content", data._csrf);
    }
}